petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESGetOptionsPrefix

Sets the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetOptionsPrefix(SNES snes,const char *prefix[])

Not Collective Many br

### Input Parameter

snes -the SNES context Many br

### Output Parameter

prefix -pointer to the prefix string used Many br

Notes: On the fortran side, the user should pass in a string 'prefix' of Many brsufficient length to hold the prefix. Many br

Many br

### Keywords

SNES, get, options, prefix, database

### See Also

SNESAppendOptionsPrefix()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages